## gs-plugin-loader-sync gs-plugin-loader-sync |

## Functions

gboolean | gs_plugin_loader_job_process ()
GsApp * | gs_plugin_loader_app_create ()
GsApp * | gs_plugin_loader_get_system_app ()
gboolean | gs_plugin_loader_setup ()

## Description

## Functions

### gs_plugin_loader_job_process ()

    gboolean
    gs_plugin_loader_job_process (GsPluginLoader *plugin_loader,
                                  GsPluginJob *plugin_job,
                                  GCancellable *cancellable,
                                  GError **error);

### gs_plugin_loader_app_create ()

    GsApp *
    gs_plugin_loader_app_create (GsPluginLoader *plugin_loader,
                                 const gchar *unique_id,
                                 GCancellable *cancellable,
                                 GError **error);

### gs_plugin_loader_get_system_app ()

    GsApp *
    gs_plugin_loader_get_system_app (GsPluginLoader *plugin_loader,
                                     GCancellable *cancellable,
                                     GError **error);

### gs_plugin_loader_setup ()

    gboolean
    gs_plugin_loader_setup (GsPluginLoader *plugin_loader,
                            const gchar * const *allowlist,
                            const gchar * const *blocklist,
                            GCancellable *cancellable,
                            GError **error);